TimecodeClipImpl (Media Authoring with Java API)
Date: 2016-02-05

tv.amwa.maj.union.impl

## Class TimecodeClipImpl

- java.lang.Object
- - tv.amwa.maj.union.impl.TimecodeClipImpl

-     public class TimecodeClipImpl
      extends Object

  Implementation of a reference to part of a timecode segment.

  Note that the value of timecode segment calculations in the MAJ API is still being determined. At the current time, this class is only used by non-public methods.

  See Also:
    `SourcePackage.specifyValidCodeRange(tv.amwa.maj.model.DataDefinition, int, tv.amwa.maj.record.Rational, long, long)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `TimecodeSegment` | `result` Timecode segment referenced by this clip.
    `long` | `timecodeStartPosition` Start position of reference defined in edit units from the start of the clip.
    `long` | `timecodeTrackLength` Length of the clip in its defined edit units.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TimecodeClipImpl(TimecodeSegment result, long timecodeStartPosition, long timecodeTrackLength)` Create a new reference to a clip of a timecode segment.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### result

          public final TimecodeSegment result

      Timecode segment referenced by this clip.

    - #### timecodeStartPosition

          public final long timecodeStartPosition

      Start position of reference defined in edit units from the start of the clip.

    - #### timecodeTrackLength

          public final long timecodeTrackLength

      Length of the clip in its defined edit units.

  - ### Constructor Detail

    - #### TimecodeClipImpl

          public TimecodeClipImpl(TimecodeSegment result,
                                  long timecodeStartPosition,
                                  long timecodeTrackLength)

      Create a new reference to a clip of a timecode segment.

      Parameters:
        `result` - Timecode segment referenced by this clip.
        `timecodeStartPosition` - Start position of reference defined in edit units from the start of the clip.
        `timecodeTrackLength` - Length of the clip in its defined edit units.

(c)2007-2016 Richard Cartwright, all rights reserved. Licensed under Apache 2 license and subject to the AMWA IPR policy.